#

API Docs for:
Show: Inherited Protected Private Deprecated

# PieSeries Class

Defined in: `input/charts/PieSeries.js:1`
Module: charts

PieSeries visualizes data as a circular chart divided into wedges which represent data as a percentage of a whole.

- Index
- Methods
- Properties
- Attributes

## Item Index

### Methods

- _addHotspot
- _categoryAxisChangeHandler
- _categoryDataChangeHandler
- _createMarker
- _createMarkerCache
- _getDefaultColor
- _getPlotDefaults
- _redraw
- _setMap
- _valueAxisChangeHandler
- _valueDataChangeHandler
- addListeners
- draw
- drawPlots
- updateMarkerState
- validate

### Properties

- _categoryDisplayName
- _defaultBorderColors
- _defaultFillColors
- _defaultLineColors
- _defaultSliceColors
- _image
- _map
- _valueDisplayName
- GUID

### Attributes

- categoryKey
- order
- graph
- categoryAxis
- categoryAxis
- type
- valueKey
- categoryDisplayName
- valueDisplayName
- slices
- styles

## Methods

### `_addHotspot`

(

- `cfg`
- `seriesIndex`
- `index`

)
private

Defined in `input/charts/PieSeries.js:345`

Adds an interactive map when rendering in canvas.

#### Parameters:

- `cfg` Object

  Object containing data used to draw the hotspot

- `seriesIndex` Number

  Index of series in the `seriesCollection`.

- `index` Number

  Index of the marker using the hotspot.

### `_categoryAxisChangeHandler`

(

- `e`

)
private

Defined in `input/charts/PieSeries.js:118`

Event handler for the categoryAxisChange event.

#### Parameters:

- `e` Object

  Event object.

### `_categoryDataChangeHandler`

(

- `event`

)
private

Defined in `input/charts/PieSeries.js:155`

Event handler for categoryDataChange event.

#### Parameters:

- `event` Object

  Event object.

### `_createMarker`

(

- `styles`
- `order`
- `index`

)
private

Defined in `input/charts/PieSeries.js:427`

Creates a shape to be used as a marker.

#### Parameters:

- `styles` Object

  Hash of style properties.

- `order` Number

  Order of the series.

- `index` Number

  Index within the series associated with the marker.

#### Returns:

Shape

### `_createMarkerCache`

() private

Defined in `input/charts/PieSeries.js:448`

Creates a cache of markers for reuse.

### `_getDefaultColor`

(

- `index`
- `type`

)
protected

Defined in `input/charts/PieSeries.js:535`

Colors used if style colors are not specified

#### Parameters:

- `index` Number

  Index indicating the series order.

- `type` String

  Indicates which type of object needs the color.

#### Returns:

String

### `_getPlotDefaults`

() private

Defined in `input/charts/PieSeries.js:470`

Gets the default style values for the markers.

#### Returns:

Object

### `_redraw`

() private

Defined in `input/charts/PieChartLegend.js:2`

Redraws the chart instance.

### `_setMap`

() private

Defined in `input/charts/PieSeries.js:29`

Creates or updates the image map when rendered with canvas.

### `_valueAxisChangeHandler`

(

- `e`

)
private

Defined in `input/charts/PieSeries.js:132`

Event handler for the valueAxisChange event.

#### Parameters:

- `e` Object

  Event object.

### `_valueDataChangeHandler`

(

- `event`

)
private

Defined in `input/charts/PieSeries.js:170`

Event handler for valueDataChange event.

#### Parameters:

- `event` Object

  Event object.

### `addListeners`

() private

Defined in `input/charts/PieSeries.js:81`

Adds event listeners.

### `draw`

() protected

Defined in `input/charts/PieSeries.js:185`

Draws the series. Overrides the base implementation.

### `drawPlots`

() protected

Defined in `input/charts/PieSeries.js:219`

Draws the markers

### `updateMarkerState`

(

- `type`
- `i`

)
protected

Defined in `input/charts/PieSeries.js:402`

Resizes and positions markers based on a mouse interaction.

#### Parameters:

- `type` String

  state of the marker

- `i` Number

  index of the marker

### `validate`

() private

Defined in `input/charts/PieSeries.js:106`

Draws the series.

## Properties

### `_categoryDisplayName`

Unknown private

Defined in `input/charts/PieSeries.js:65`

Storage for `categoryDisplayName` attribute.

### `_defaultBorderColors`

Array protected

Defined in `input/charts/PieSeries.js:517`

Collection of default colors used for marker borders in a series when not specified by user.

### `_defaultFillColors`

Array protected

Defined in `input/charts/PieSeries.js:508`

Collection of default colors used for marker fills in a series when not specified by user.

### `_defaultLineColors`

Array protected

Defined in `input/charts/PieSeries.js:499`

Collection of default colors used for lines in a series when not specified by user.

### `_defaultSliceColors`

Array protected

Defined in `input/charts/PieSeries.js:526`

Collection of default colors used for area fills, histogram fills and pie fills in a series when not specified by user.

### `_image`

HTMLElement private

Defined in `input/charts/PieSeries.js:20`

Image used for image map when rendered with canvas.

### `_map`

HTMLElement private

Defined in `input/charts/PieSeries.js:11`

Image map used for interactivity when rendered with canvas.

### `_valueDisplayName`

Unknown private

Defined in `input/charts/PieSeries.js:73`

Storage for `valueDisplayName` attribute.

### `GUID`

String private

Defined in `input/charts/PieSeries.js:146`

Constant used to generate unique id.

## Attributes

### `categoryKey`

String

Defined in `input/charts/PieSeries.js:623`

Indicates which array to from the hash of value arrays in the category `Axis` instance.

### ``

Legend

Defined in `input/charts/PieChartLegend.js:123`

The legend for the chart.

### `order`

Number

Defined in `input/charts/PieSeries.js:575`

Order of this instance of this `type`.

### `graph`

Graph

Defined in `input/charts/PieSeries.js:583`

Reference to the `Graph` in which the series is drawn into.

### `categoryAxis`

Axis

Defined in `input/charts/PieSeries.js:591`

Reference to the `Axis` instance used for assigning category values to the graph.

### `categoryAxis`

Axis

Defined in `input/charts/PieSeries.js:607`

Reference to the `Axis` instance used for assigning series values to the graph.

### `type`

String

Defined in `input/charts/PieSeries.js:564`

Read-only attribute indicating the type of series.

Default: pie

### `valueKey`

String

Defined in `input/charts/PieSeries.js:638`

Indicates which array to from the hash of value arrays in the value `Axis` instance.

### `categoryDisplayName`

String

Defined in `input/charts/PieSeries.js:654`

Name used for for displaying category data

### `valueDisplayName`

String

Defined in `input/charts/PieSeries.js:673`

Name used for for displaying value data

### `slices`

Array private

Defined in `input/charts/PieSeries.js:692`

### `styles`

Object

Defined in `input/charts/PieSeries.js:699`

Style properties used for drawing markers. This attribute is inherited from `MarkerSeries`. Below are the default values:

fill
  A hash containing the following values:
  colors
    An array of colors to be used for the marker fills. The color for each marker is retrieved from the array below:
    `["#66007f", "#a86f41", "#295454", "#996ab2", "#e8cdb7", "#90bdbd","#000000","#c3b8ca", "#968373", "#678585"]`
  alphas
    An array of alpha references (Number from 0 to 1) indicating the opacity of each marker fill. The default value is [1].
border
  A hash containing the following values:
  color
    An array of colors to be used for the marker borders. The color for each marker is retrieved from the array below:
    `["#205096", "#b38206", "#000000", "#94001e", "#9d6fa0", "#e55b00", "#5e85c9", "#adab9e", "#6ac291", "#006457"]`
  alpha
    Number from 0 to 1 indicating the opacity of the marker border. The default value is 1.
  weight
    Number indicating the width of the border. The default value is 1.
over
  hash containing styles for markers when highlighted by a `mouseover` event. The default values for each style is null. When an over style is not set, the non-over value will be used. For example, the default value for `marker.over.fill.color` is equivalent to `marker.fill.color`.